<?php

// Connect through OAuth
require('tmhOAuth.php');

// You must fill in a set of valid OAuth keys here
$connection = new tmhOAuth(array(
	'consumer_key'    => '*****',
	'consumer_secret' => '*****',
	'user_token'      => '*****',
	'user_secret'     => '*****'
));
	
// Get up to 100 tweets
// You must fill in the query term
$connection->request('GET', $connection->url('1.1/search/tweets'), 
	    array('q' => '*****',
	      'result_type' => 'recent',
	      'count' => 100));
				
// Extract tweets
$results = json_decode($connection->response['response']);
$tweets = $results->statuses;

if (sizeof($tweets)==0) {
	print "No tweets found for: $query";
	exit;
}
 
// Loop through all tweets found 
$tweets_found = 0;
$min_account_age = account_age($tweets[0]->user->created_at);
$min_followers_count = $tweets[0]->user->followers_count;
$min_statuses_count = $tweets[0]->user->statuses_count;
foreach($tweets as $tweet) {
	++$tweets_found;
	
	if ($min_account_age > account_age($tweet->user->created_at)){
		$min_account_age = account_age($tweet->user->created_at);
	}	
	if ($min_followers_count > $tweet->user->followers_count) {
		$min_followers_count = $tweet->user->followers_count;
	}
	if ($min_statuses_count > $tweet->user->statuses_count) {
		$min_statuses_count = $tweet->user->statuses_count;
	}
} 

print "Tweets found: $tweets_found Minimum account age: $min_account_age " . 
	"Minimum followers: $min_followers_count Minimum tweets: $min_statuses_count";

// Return number of days since start date
function account_age($start) {
  date_default_timezone_set('America/New_York');
  $end = date('Y-m-d H:i:s',time());
	return round(abs(strtotime($start)-strtotime($end))/86400) + 1;	
}

?>